<script lang="ts">
  import { questions, answers } from "../store";

  const maxScore = $questions.length;
  const score = $answers
    .map((a) => (a.answer === "correct" ? 1 : 0))
    .reduce((a, b) => a + b, 0);

  const indices = [...Array(maxScore).keys()];
</script>

<div>
  <div class="eval">
    Good job! You've got {score} out of {maxScore} correct!
  </div>

  <table>
    <thead>
      <tr>
        <th />
        <th>Published</th>
        <th>Generated</th>
      </tr>
    </thead>
    <tbody>
      {#each indices as i}
        <tr>
          <td class="answer {$answers[i].answer}" />
          <td>
            <a href="https://doi.org/{$questions[i].realDoi}" target="_blank"
              >{$questions[i].real}</a
            >
          </td>
          <td>{$questions[i].fake}</td>
        </tr>
      {/each}
    </tbody>
  </table>
</div>

<style>
  .incorrect {
    background-color: red;
  }
  .correct {
    background-color: limegreen;
  }
  .eval {
    font-size: x-large;
    margin: 1em;
  }
  td {
    padding: 0em 1em;
  }
</style>
